<?php
/**
 * Coverage Dynamic Styles
 *
 * @package Coverage
 */

function coverage_dynamic_css()
{

    $coverage_default = coverage_get_default_theme_options();
    $twp_coverage_home_sections_2 = get_theme_mod('twp_coverage_home_sections_2', json_encode($coverage_default['twp_coverage_home_sections_2']));
    $twp_coverage_home_sections_2 = json_decode($twp_coverage_home_sections_2);


    echo "<style type='text/css' media='all'>"; ?>

    <?php

    $repeat_times = 1;

    foreach ($twp_coverage_home_sections_2 as $coverage_home_section) {

        $section_background_color = esc_url(isset($coverage_home_section->background_color) ? $coverage_home_section->background_color : '');

        if ($section_background_color) { ?>

            #theme-block-<?php echo $repeat_times; ?> {
            background-color: <?php echo esc_url($section_background_color); ?>;
            }

            #theme-block-<?php echo $repeat_times; ?> .block-title-wrapper .block-title::after{
            border-left-color: <?php echo esc_url($section_background_color); ?>;
            }

            <?php
        }

        $background_image = esc_url(isset($coverage_home_section->background_image) ? $coverage_home_section->background_image : '');

        if ($background_image) {

            $bg_image_size = isset($coverage_home_section->bg_image_size) ? $coverage_home_section->bg_image_size : 'auto';
            $background_image_repeat = isset($coverage_home_section->background_image_repeat) ? $coverage_home_section->background_image_repeat : 'yes';
            $background_image_scroll = isset($coverage_home_section->background_image_scroll) ? $coverage_home_section->background_image_scroll : 'yes';

            if ($background_image_repeat == 'yes' || $background_image_repeat == '') {
                $background_image_repeat = 'repeat';
            } else {
                $background_image_repeat = 'no-repeat';
            }

            if ($background_image_scroll == 'yes' || $background_image_scroll == '') {
                $background_image_scroll = 'scroll';
            } else {
                $background_image_scroll = 'fixed';
            } ?>

            #theme-block-<?php echo $repeat_times; ?> {
            background-image: url(<?php echo esc_url($background_image); ?> );
            background-size: <?php echo esc_attr($bg_image_size); ?>;
            background-repeat: <?php echo esc_attr($background_image_repeat); ?>;
            background-attachment: <?php echo esc_attr($background_image_scroll); ?>;
            }

            #theme-block-<?php echo $repeat_times; ?> .block-title-wrapper .block-title::after{
             border-left-color: transparent;
            }

            <?php
        }

        $repeat_times++;
    } ?>

    <?php echo "</style>";
}

add_action('wp_head', 'coverage_dynamic_css', 100);