<?php
/**
 * Pagination Settings
 *
 * @package Coverage
 */

$coverage_default = coverage_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'coverage_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'coverage' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'coverage_pagination_layout',
	array(
	'default'           => $coverage_default['coverage_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'coverage_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'coverage' ),
	'section'     => 'coverage_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','coverage'),
		'numeric' => esc_html__('Numeric Method','coverage'),
		'load-more' => esc_html__('Ajax Load More Button','coverage'),
		'auto-load' => esc_html__('Ajax Auto Load','coverage'),
	),
	)
);