<?php
/**
* Sections Repeater Options.
*
* @package Coverage
*/

$coverage_post_category_list = coverage_post_category_list();
$coverage_defaults = coverage_get_default_theme_options();
$home_sections = array(

        'double-column-grid-list' => esc_html__('Leader Block','coverage'),
        'banner-blocks-1' => esc_html__('Slider & Tab Block','coverage'),
        'main-banner' => esc_html__('Slider & Vertical Slider','coverage'),
        'latest-posts-blocks' => esc_html__('Latest Posts Block','coverage'),
        'slider-blocks' => esc_html__('Slider Block','coverage'),
        'tiles-blocks' => esc_html__('Tiles Block','coverage'),
        'advertise-blocks' => esc_html__('Advertise Block','coverage'),
        'carousel-blocks' => esc_html__('Carousel Block','coverage'),
        'home-widget-area' => esc_html__('Widgets Area Block','coverage'),

    );

$coverage_video_aspect_ratio = coverage_video_aspect_ratio();
$coverage_video_autoplay = coverage_video_autoplay();

// Slider Section.
$wp_customize->add_section( 'home_sections_repeater',
	array(
	'title'      => esc_html__( 'Homepage Sections', 'coverage' ),
	'priority'   => 150,
	'capability' => 'edit_theme_options',
	)
);


// Recommended Posts Enable Disable.
$wp_customize->add_setting( 'twp_coverage_home_sections_2', array(
    'sanitize_callback' => 'coverage_sanitize_repeater',
    'default' => json_encode( $coverage_defaults['twp_coverage_home_sections_2'] ),
    // 'transport'           => 'postMessage',
));

$wp_customize->add_control(  new Coverage_Repeater_Controler( $wp_customize, 'twp_coverage_home_sections_2', 
    array(
        'section' => 'home_sections_repeater',
        'settings' => 'twp_coverage_home_sections_2',
        'coverage_box_label' => esc_html__('New Section','coverage'),
        'coverage_box_add_control' => esc_html__('Add New Section','coverage'),
        'coverage_box_add_button' => false,
    ),
        array(
            'section_ed' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Section', 'coverage' ),
                'class'       => 'home-section-ed'
            ),
            'home_section_type' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Section Type', 'coverage' ),
                'options'     => $home_sections,
                'class'       => 'home-section-type'
            ),
            'home_section_title' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title', 'coverage' ),
                'class'       => 'home-repeater-fields-hs carousel-blocks-fields tiles-blocks-fields'
            ),
            'section_slide_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Slider Post Category', 'coverage' ),
                'options'     => $coverage_post_category_list,
                'class'       => 'home-repeater-fields-hs'
            ),
            'double_col_section_title_3' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Slider Section Title', 'coverage' ),
                'class'       => 'home-repeater-fields-hs double-column-grid-list-fields'
            ),
            'double_col_section_title_1' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Grid Section Title', 'coverage' ),
                'class'       => 'home-repeater-fields-hs double-column-grid-list-fields'
            ),
            'double_col_section_title_2' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'List Section Title', 'coverage' ),
                'class'       => 'home-repeater-fields-hs double-column-grid-list-fields'
            ),
             'tiles_post_per_page_1' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Number of Grid Post', 'coverage' ),
                'options'     => array( 
                    '2' => 2,
                    '4' => 4,
                    '6' => 6,
                    '8' => 8,
                    '10' => 10,
                ),
                'class'       => 'home-repeater-fields-hs double-column-grid-list-fields'
            ),
              'tiles_post_per_page_2' => array(
                 'type'        => 'select',
                 'label'       => esc_html__( 'Number of List Post', 'coverage' ),
                 'options'     => array( 
                    '2' => 2,
                    '3' => 3,
                    '4' => 4,
                    '5' => 5,
                    '6' => 6,
                    '7' => 7,
                    '8' => 8,
                    '9' => 9,
                    '10' => 10,
                    '11' => 11,
                    '12' => 12,
                    '13' => 13,
                    '14' => 14,
                    '15' => 15,
                 ),
                 'class'       => 'home-repeater-fields-hs double-column-grid-list-fields'
             ),
            'section_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category', 'coverage' ),
                'options'     => $coverage_post_category_list,
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields carousel-blocks-fields slider-blocks-fields'
            ),
            'ed_wide_layout' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Wide Layout', 'coverage' ),
                'class'       => 'home-repeater-fields-hs'
            ),
             'tiles_post_per_page' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Posts Per Page', 'coverage' ),
                'options'     => array( 
                    '5' => 5,
                    '10' => 10,
                ),
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields'
            ),
             'home_section_title_1' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Slider Area Title', 'coverage' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'section_post_slide_cat' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Slider Post Category', 'coverage' ),
                'options'     => $coverage_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields double-column-grid-list-fields'
            ),
            
            'advertise_image' => array(
                'type'        => 'upload',
                'label'       => esc_html__( 'Advertise Image', 'coverage' ),
                'description' => esc_html__( 'Recommended Image Size is 970x250 PX.', 'coverage' ),
                'class'       => 'home-repeater-fields-hs advertise-blocks-fields'
            ),
            'advertise_link' => array(
                'type'        => 'link',
                'label'       => esc_html__( 'Advertise Image Link', 'coverage' ),
                'class'       => 'home-repeater-fields-hs advertise-blocks-fields'
            ),
            'enable_wide_layout' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Wide Layout', 'coverage' ),
                'class'       => 'home-repeater-fields-hs main-banner-fields tiles-blocks-fields banner-blocks-1-fields carousel-blocks-fields'
            ),
            'ed_arrows_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Arrows', 'coverage' ),
                'class'       => 'home-repeater-fields-hs carousel-blocks-fields banner-blocks-1-fields main-banner-fields'
            ),
            'ed_dots_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Dot', 'coverage' ),
                'class'       => 'home-repeater-fields-hs carousel-blocks-fields banner-blocks-1-fields main-banner-fields'
            ),
            'ed_autoplay_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Autoplay', 'coverage' ),
                'class'       => 'home-repeater-fields-hs carousel-blocks-fields slider-blocks-fields banner-blocks-1-fields main-banner-fields'
            ),
            'home_section_title_2' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Tab Area Title', 'coverage' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'home_section_title_3' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Vertical Slide Title', 'coverage' ),
                'class'       => 'home-repeater-fields-hs main-banner-fields'
            ),
            'ed_tab' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Tab', 'coverage' ),
                'class'       => 'home-repeater-fields-hs ed-tabs-ac banner-blocks-1-fields'
            ),
            'cat_title_1' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title One', 'coverage' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_1' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category One', 'coverage' ),
                'options'     => $coverage_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields double-column-grid-list-fields'
            ),
            'cat_title_2' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title Two', 'coverage' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_2' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Two', 'coverage' ),
                'options'     => $coverage_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields double-column-grid-list-fields'
            ),
            'cat_title_3' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title Three', 'coverage' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_3' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Three', 'coverage' ),
                'options'     => $coverage_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'section_category_4' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Four', 'coverage' ),
                'options'     => $coverage_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'section_vertical_slide_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Vertical Slider Post Category', 'coverage' ),
                'options'     => $coverage_post_category_list,
                'class'       => 'home-repeater-fields-hs main-banner-fields'
            ),
            'section_video_ratio' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Video Aspect Ratio', 'coverage' ),
                'options'     => $coverage_video_aspect_ratio,
                'class'       => 'home-repeater-fields-hs latest-posts-blocks-fields'
            ),
            'section_video_autoplay' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Video Autoplay', 'coverage' ),
                'options'     => $coverage_video_autoplay,
                'class'       => 'home-repeater-fields-hs latest-posts-blocks-fields'
            ),
            'ed_flip_column' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Flip Column Right to Left', 'coverage' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'background_color' => array(
                'type'        => 'colorpicker',
                'label'       => esc_html__( 'Background Color', 'coverage' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields slider-blocks-fields'
            ),
            'background_image' => array(
                'type'        => 'upload',
                'label'       => esc_html__( 'Background Image', 'coverage' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'bg_image_size' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Background Image Size', 'coverage' ),
                'options'     => array( 
                    'auto' => esc_html('Original','coverage'),
                    'contain' => esc_html('Fit to Screen','coverage'),
                    'cover' => esc_html('Fill Screen','coverage'),
                ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'background_image_repeat' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Repeat Background Image', 'coverage' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'background_image_scroll' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Scroll with Page', 'coverage' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'enable_sidebar' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Sidebar', 'coverage' ),
                'description'       => esc_html__( 'Please add widget into "Homepage Sidebar Widget Area" for sidebar content.', 'coverage' ),
                'class'       => 'home-repeater-fields-hs home-widget-area-fields'
            ),
    )
));

// Info.
$wp_customize->add_setting(
    'coverage_notiece_info',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new Coverage_Info_Notiece_Control( 
        $wp_customize,
        'coverage_notiece_info',
        array(
            'settings' => 'coverage_notiece_info',
            'section'       => 'home_sections_repeater',
            'label'         => esc_html__( 'Info', 'coverage' ),
        )
    )
);

$wp_customize->add_setting(
    'coverage_premium_notiece',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new Coverage_Premium_Notiece_Control( 
        $wp_customize,
        'coverage_premium_notiece',
        array(
            'label'      => esc_html__( 'Home Page Blocks', 'coverage' ),
            'settings' => 'coverage_premium_notiece',
            'section'       => 'home_sections_repeater',
        )
    )
);