<?php
/**
 * Widget FUnctions.
 *
 * @package Coverage
 */
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function coverage_widgets_init(){

    $coverage_default = coverage_get_default_theme_options();

    register_sidebar(array(
        'name' => esc_html__('Sidebar', 'coverage'),
        'id' => 'sidebar-1',
        'description' => esc_html__('Add widgets here.', 'coverage'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widget-title"><span>',
        'after_title' => '</span></h3>',
    ));

    register_sidebar(array(
        'name' => esc_html__('Header Advertisement One', 'coverage'),
        'id' => 'coverage-header-1',
        'description' => esc_html__('Add widgets here.', 'coverage'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widget-title"><span>',
        'after_title' => '</span></h3>',
    ));

    $twp_coverage_home_sections_2 = get_theme_mod('twp_coverage_home_sections_2', json_encode($coverage_default['twp_coverage_home_sections_2']));
    $twp_coverage_home_sections_2 = json_decode($twp_coverage_home_sections_2);

    foreach( $twp_coverage_home_sections_2 as $coverage_home_section ){

        $home_section_type = isset( $coverage_home_section->home_section_type ) ? $coverage_home_section->home_section_type : '';

        switch( $home_section_type ){

            case 'home-widget-area':

                $ed_home_widget_area = isset( $coverage_home_section->section_ed ) ? $coverage_home_section->section_ed : '';

                if( $ed_home_widget_area == 'yes' ){

                    register_sidebar(array(
                        'name' => esc_html__('Homepage Main Widget Area', 'coverage'),
                        'id' => 'coverage-home-main-widget-area',
                        'description' => esc_html__('Add widgets here.', 'coverage'),
                        'before_widget' => '<div id="%1$s" class="widget %2$s">',
                        'after_widget' => '</div>',
                        'before_title' => '<h2 class="block-title"><span>',
                        'after_title' => '</span></h2>',
                    ));

                    $enable_sidebar = isset( $coverage_home_section->enable_sidebar ) ? $coverage_home_section->enable_sidebar : '';

                    if( $enable_sidebar == 'yes' ){

                        register_sidebar(array(
                            'name' => esc_html__('Homepage Sidebar Widget Area', 'coverage'),
                            'id' => 'coverage-home-sidebar-widget-area',
                            'description' => esc_html__('Add widgets here.', 'coverage'),
                            'before_widget' => '<div id="%1$s" class="widget %2$s">',
                            'after_widget' => '</div>',
                            'before_title' => '<h3 class="widget-title"><span>',
                            'after_title' => '</span></h3>',
                        ));

                    }

                }

                break;

            default:

                break;

        }

    }

    $coverage_default = coverage_get_default_theme_options();
    $footer_column_layout = absint(get_theme_mod('footer_column_layout', $coverage_default['footer_column_layout']));

    for( $i = 0; $i < $footer_column_layout; $i++ ){

        if ($i == 0) {
            $count = esc_html__('One', 'coverage');
        }
        if ($i == 1) {
            $count = esc_html__('Two', 'coverage');
        }
        if ($i == 2) {
            $count = esc_html__('Three', 'coverage');
        }

        register_sidebar(array(
            'name' => esc_html__('Footer Widget ', 'coverage') . $count,
            'id' => 'coverage-footer-widget-' . $i,
            'description' => esc_html__('Add widgets here.', 'coverage'),
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="widget-title"><span>',
            'after_title' => '</span></h3>',
        ));

    }

}

add_action('widgets_init', 'coverage_widgets_init');
require get_template_directory() . '/inc/widgets/widget-base.php';
require get_template_directory() . '/inc/widgets/author.php';
require get_template_directory() . '/inc/widgets/category.php';
require get_template_directory() . '/inc/widgets/recent-post.php';
require get_template_directory() . '/inc/widgets/social-link.php';
require get_template_directory() . '/inc/widgets/tab-posts.php';
require get_template_directory() . '/inc/widgets/carousel.php';
require get_template_directory() . '/inc/widgets/slider.php';
require get_template_directory() . '/inc/widgets/cat-posts.php';
require get_template_directory() . '/inc/widgets/list-posts.php';
require get_template_directory() . '/inc/widgets/post-grid.php';
require get_template_directory() . '/inc/widgets/tiles.php';
require get_template_directory() . '/inc/widgets/featured-category.php';