<?php
/**
 * Double-post-grid-list
 *
 * @package Coverage
 */
if (!function_exists('double_post_grid_list_post')):
    function double_post_grid_list_post($coverage_home_section, $repeat_times)
    {
        $section_category_1 = esc_html(isset($coverage_home_section->section_category_1) ? $coverage_home_section->section_category_1 : '');
        $tiles_post_per_page_1 = esc_html(isset($coverage_home_section->tiles_post_per_page_1) ? $coverage_home_section->tiles_post_per_page_1 : '');
        $section_category_2 = esc_html(isset($coverage_home_section->section_category_2) ? $coverage_home_section->section_category_2 : '');
        $tiles_post_per_page_2 = esc_html(isset($coverage_home_section->tiles_post_per_page_2) ? $coverage_home_section->tiles_post_per_page_2 : '');

        $section_post_slide_cat = '';
        $popular_post_section_title = esc_html(isset($coverage_home_section->double_col_section_title_1) ? $coverage_home_section->double_col_section_title_1 : '');
        $trending_post_section_title = esc_html(isset($coverage_home_section->double_col_section_title_2) ? $coverage_home_section->double_col_section_title_2 : '');
        $slider_post_section_title = esc_html(isset($coverage_home_section->double_col_section_title_3) ? $coverage_home_section->double_col_section_title_3 : '');
        $double_grid_list_slider_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 4, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_post_slide_cat)));
        $double_grid_list_query_1 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => esc_html($tiles_post_per_page_1), 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_category_1)));
        $double_grid_list_3 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => esc_html($tiles_post_per_page_2), 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_category_2))); ?>

            <div id="theme-block-<?php echo esc_attr($repeat_times); ?>" repeat-time="<?php echo esc_attr('repeat-time-' . $repeat_times); ?>" class="theme-block theme-block-leader">
                <div class="wrapper">
                    <div class="column-row column-row-medium">

                        <div class="column column-12 column-sm-12">
                          <?php if (!empty($slider_post_section_title)) { ?>
                              <header class="block-title-wrapper">
                                  <h2 class="block-title"><?php echo esc_html($slider_post_section_title); ?></h2>

                                  <div class="theme-heading-controls">
                                      <div class="title-controls">
                                          <button type="button" class="slide-btn slide-btn-small slide-prev-leader slick-arrow">
                                              <?php coverage_the_theme_svg('chevron-left'); ?>
                                          </button>

                                          <button type="button" class="slide-btn slide-btn-small slide-next-leader slick-arrow">
                                              <?php coverage_the_theme_svg('chevron-right'); ?>
                                          </button>
                                      </div>
                                  </div>
                              </header>
                          <?php } ?>
                            <div class="main-leader-slider">
                              <?php

                              if( $double_grid_list_slider_query->have_posts() ):
                              while ($double_grid_list_slider_query->have_posts()):
                                  $double_grid_list_slider_query->the_post();
                                  $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                  $featured_image = isset( $featured_image[0] ) ? $featured_image[0] : '';
                                  ?>

                                    <article id="theme-post-<?php the_ID(); ?>" <?php post_class( 'news-article post-thumb' ); ?>>
                                        <div class="column-row column-row-medium">
                                            <div class="column column-8 column-order-2 column-sm-12">
                                                <div class="data-bg data-bg-large thumb-overlay img-hover-slide" data-background="<?php echo esc_url($featured_image); ?>">
                                                    <?php
                                                    $format = get_post_format(get_the_ID()) ?: 'standard';
                                                    $icon = coverage_post_format_icon($format);
                                                    if (!empty($icon)) { ?>
                                                        <span class="bottom-right-icon">
                                                        <?php echo coverage_svg_escape($icon); ?>
                                                    </span>
                                                    <?php } ?>
                                                    <a class="img-link" href="<?php the_permalink(); ?>"
                                                       tabindex="0"></a>
                                                </div>
                                            </div>
                                            <div class="column column-4 column-order-1 column-sm-12">
                                                <div class="article-content">
                                                    <header class="entry-header">

                                                        <div class="entry-meta">
                                                            <?php coverage_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>
                                                        </div>

                                                        <h3 class="entry-title entry-title-large">
                                                            <a href="<?php the_permalink(); ?>">
                                                                <?php the_title();?>
                                                            </a>
                                                        </h3>


                                                        <div class="entry-meta mb-20">
                                                            <?php coverage_posted_by(); ?>
                                                            <?php coverage_post_view_count(); ?>
                                                        </div>
                                                    </header>

                                                    <div class="popular-content-head">


                                                        <div class="entry-content hidden-xs-element">
                                                            <?php
                                                            if (has_excerpt()) {
                                                                the_excerpt();
                                                            } else {
                                                                echo '<p>';
                                                                echo esc_html( wp_trim_words( get_the_content(),25,'...' ) );
                                                                echo '</p>';
                                                            } ?>
                                                        </div>


                                                    </div>
                                                </div>
                                            </div>

                                        </div>
                                    </article>
                              <?php
                              endwhile;
                              wp_reset_postdata();
                              endif; ?>
                            </div>
                        </div>

                        <div class="column column-8 column-sm-12">
                            <?php if (!empty($popular_post_section_title)) { ?>
                                <header class="block-title-wrapper">
                                    <h2 class="block-title"><?php echo esc_html($popular_post_section_title); ?></h2>
                                </header>
                            <?php } ?>
                            <div class="wrapper-popular-body">
                                <div class="column-row column-row-medium">
                                    <?php

                                    if( $double_grid_list_query_1->have_posts() ):
                                    while ($double_grid_list_query_1->have_posts()):
                                        $double_grid_list_query_1->the_post();
                                        $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                        $featured_image = isset( $featured_image[0] ) ? $featured_image[0] : '';
                                        ?>

                                        <div class="column column-6 column-xs-12">
                                            <article id="theme-post-<?php the_ID(); ?>" <?php post_class( 'news-article news-article-border post-thumb' ); ?>>

                                                <div class="data-bg data-bg-medium-large thumb-overlay img-hover-slide" data-background="<?php echo esc_url($featured_image); ?>">
                                                    <?php
                                                    $format = get_post_format(get_the_ID()) ?: 'standard';
                                                    $icon = coverage_post_format_icon($format);
                                                    if (!empty($icon)) { ?>
                                                        <span class="bottom-right-icon">
                                                            <?php echo coverage_svg_escape($icon); ?>
                                                        </span>
                                                    <?php } ?>
                                                    <a class="img-link" href="<?php the_permalink(); ?>"
                                                       tabindex="0"></a>

                                                    <div class="article-content article-content-overlay">
                                                        <div class="entry-meta">
                                                            <?php coverage_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>
                                                        </div>
                                                    </div>
                                                </div>


                                               <div class="article-content">
                                                   <header class="entry-header">
                                                       <h3 class="entry-title entry-title-big">
                                                           <a href="<?php the_permalink(); ?>">
                                                               <?php the_title();?>
                                                           </a>
                                                       </h3>

                                                       <div class="entry-meta mb-15">
                                                           <?php coverage_posted_by(); ?>
                                                           <?php coverage_post_view_count(); ?>
                                                       </div>

                                                   </header>

                                                   <div class="popular-content-head">


                                                       <div class="entry-content hidden-xs-element">
                                                           <?php
                                                           if (has_excerpt()) {
                                                               the_excerpt();
                                                           } else {
                                                               echo '<p>';
                                                               echo esc_html( wp_trim_words( get_the_content(),25,'...' ) );
                                                               echo '</p>';
                                                           } ?>
                                                       </div>


                                                   </div>
                                               </div>
                                            </article>
                                       </div>
                                    <?php
                                    endwhile;
                                    wp_reset_postdata();
                                    endif; ?>
                                </div>
                            </div>
                        </div>

                        <div class="column column-4 column-sm-12">
                            <div class="wrapper-trending-body">
                                <?php if (!empty($trending_post_section_title)) { ?>
                                    <header class="block-title-wrapper">
                                        <h2 class="block-title"><?php echo esc_html($trending_post_section_title); ?></h2>
                                    </header>
                                <?php } ?>
                                <?php

                                if( $double_grid_list_3->have_posts() ):
                                while ($double_grid_list_3->have_posts()):
                                    $double_grid_list_3->the_post(); ?>
                                    <div class="trending-body-item">
                                        <header class="entry-header">

                                            <div class="entry-meta">
                                                <?php coverage_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>
                                            </div>

                                            <h3 class="entry-title entry-title-medium">
                                                <a href="<?php the_permalink(); ?>">
                                                    <?php the_title();?>
                                                </a>
                                            </h3>
                                        </header>

                                    </div>

                                <?php
                                endwhile;
                                wp_reset_postdata();
                                endif; ?>
                            </div>
                        </div>

                    </div>
                </div>
            </div>

    <?php }
endif; ?>